<!DOCTYPE html>
<html lang="pt-br">
  <%- include('../components/head.ejs', { title: 'Pagina Gerador'}); %>
  <body>
    <%- include('../components/header.ejs'); %>

    <div class="content">
      <div id="form">
        <div class="title">Informe os dados abaixo</div>

      <form action="/gerador" method="POST">
        <div class="form-group">
          <label for="nome">Nome:</label>
          <input
            type="text"
            name="nome"
            placeholder="Insira o seu nome"
            required
          />
        </div>

        <div class="form-group">
          <label for="nome">Nº LGND:</label>
          <input
            type="text"
            name="lgnd"
            placeholder="Insira o seu nº Legendario"
            required
          />
        </div>

        <div class="form-group">
          <label for="nome">Telefone:</label>
          <input
            type="text"
            name="telefone"
            placeholder="Insira o telefone com DDD"
            required
            />
        </div>
        
        <div class="form-group">
            <label for="nome">Email:</label>
            <input
              type="email"
              name="email"
              placeholder="Insira o seu email"
              required
            />
          </div>

        <div class="group">
          <div class="form-group">
            <label for="nome">Data de Nascimento:</label>
            <input
              type="date"
              name="datanascimento"
              placeholder="Insira o sua data nascimento"
              required
            />
          </div>

          <div class="form-group">
            <label for="nome">Estado Civil:</label>
            <select name="estadocivil" required id="estadocivil">
              <option value="">---</option>

              <% opcoesEstadoCivil.map(item => { %>
              <option value="<%= item.value %>"><%= item.label %></option>
              <% }) %>
            </select>
          </div>
        </div>

          <div class="form-group">
            <label for="nome">Imagem:</label>
            <input
              type="text"
              name="imagemUrl"
              placeholder="Insira a url da sua imagem"
            />
          </div>

        
        <button>Enviar</button>
      </form>

      <% if (nome) { %>
      <h2><%= nome %></h2>
      <% } %>
    </div>
  </div>

    <%- include('../components/footer.ejs'); %>
  </body>
</html>
